astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Vamdc Queries (`astroquery.vamdc`) »
- VamdcClass

# VamdcClass

class astroquery.vamdc.VamdcClass(doimport=True)

  Bases: `BaseQuery`

  Deprecated since version 0.4.2: the vamdc astroquery module relies on an unmaintained library and isconsidered deprecated until completely refactored or upstreamis stablised.

  Deprecated since version 0.4.2: the vamdc astroquery module relies on an unmaintained library and isconsidered deprecated until completely refactored or upstreamis stablised.

  Attributes Summary

  `CACHE_LOCATION` |
  `TIMEOUT` |
  `species_lookuptable` | As a property, you can't turn off caching....

  Methods Summary

  `query_molecule`(molecule_name[, ...]) | Query for the VAMDC data for a specific molecule

  Attributes Documentation

  CACHE_LOCATION = ''
  TIMEOUT = 60
  species_lookuptable

    As a property, you can’t turn off caching….

  Methods Documentation

  query_molecule(molecule_name, chem_re_flags=0, cache=True)

    Query for the VAMDC data for a specific molecule

    Parameters:
      molecule_name: str

        The common name (including unicode characters) or the ordinary molecular formula (e.g., CH3OH for Methanol) of the molecule.

      chem_re_flags: int

        The re (regular expression) flags for comparison of the molecule name with the lookuptable keys

      cache: bool

        Use the astroquery cache to store/recover the result

    Returns:
      result: `vamdclib.request.Result`

        A vamdclib Result object that has a data attribute. The result object has dictionary-like entries but has more functionality built on top of that